GrailsDataSource (Grails 6.0.0)

Package: grails.core

## [Java] Interface GrailsDataSource

- grails.core.support.GrailsApplicationAware

- All Superinterfaces:
    InjectableGrailsClass, GrailsClass, GrailsApplicationAware

      public interface GrailsDataSource
      extends InjectableGrailsClass

  Represents a data source in Grails.

  Authors:
    Steven Devijver

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Class` | `getConfigurationClass()` Returns: The configuration class to use when setting up the database.
    `` | `public java.lang.String` | `getDbCreate()` Whether to generate the database with HBM 2 DDL, values can be "create", "create-drop" or "update".
    `` | `public java.lang.Class` | `getDialect()` The dialect implementation to use.
    `` | `public java.lang.String` | `getDriverClassName()` The driver class name for the data source.
    `` | `public java.util.Properties` | `getOtherProperties()` Other properties for this data source.
    `` | `public java.lang.String` | `getPassword()` The password for the data source.
    `` | `public java.lang.String` | `getUrl()` The URL for the data source.
    `` | `public java.lang.String` | `getUsername()` The username for the data source.
    `` | `public boolean` | `isLoggingSql()` Whether SQL logging is enabled
    `` | `public boolean` | `isPooled()` True is connection pooling is enabled.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface InjectableGrailsClass` | `byName, byType, getAvailable`
    `interface GrailsClass` | `getApplication, getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPluginName, getPropertyName, getPropertyValue, getPropertyValue, getReferenceInstance, getShortName, hasProperty, isAbstract, newInstance`
    `interface GrailsApplicationAware` | `setGrailsApplication`

- - ### Method Detail

    - #### @java.lang.SuppressWarnings("rawtypes") public java.lang.Class getConfigurationClass()

      Returns:
        The configuration class to use when setting up the database.

    - #### public java.lang.String getDbCreate()

      Whether to generate the database with HBM 2 DDL, values can be "create", "create-drop" or "update".

      Returns:
        The dbCreate method to use

    - #### @java.lang.SuppressWarnings("rawtypes") public java.lang.Class getDialect()

      The dialect implementation to use.

      Returns:
        The dialect class or null if none configured

    - #### public java.lang.String getDriverClassName()

      The driver class name for the data source.

      Returns:
        driver class name

    - #### public java.util.Properties getOtherProperties()

      Other properties for this data source.

      Returns:
        other properties

    - #### public java.lang.String getPassword()

      The password for the data source.

      Returns:
        password

    - #### public java.lang.String getUrl()

      The URL for the data source.

      Returns:
        URL

    - #### public java.lang.String getUsername()

      The username for the data source.

      Returns:
        username

    - #### public boolean isLoggingSql()

      Whether SQL logging is enabled

      Returns:
        true if SQL logging is enabled

    - #### public boolean isPooled()

      True is connection pooling is enabled.

      Returns:
        connection pooling enabled